## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate zopfli

Name:           rust-zopfli
Version:        0.8.0
Release:        %autorelease
Summary:        Rust implementation of the Zopfli compression algorithm

License:        Apache-2.0
URL:            https://crates.io/crates/zopfli
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
#
# - Don’t build the “zopfli” executable, which would conflict with the more
#   widely used one provided by https://src.fedoraproject.org/rpms/zopfli.
# - Exclude more files from the published crate
#   https://github.com/zopfli-rs/zopfli/pull/37
Patch:          zopfli-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A Rust implementation of the Zopfli compression algorithm.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYING
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/CONTRIBUTORS
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gzip-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gzip-devel %{_description}

This package contains library source intended for building other packages which
use the "gzip" feature of the "%{crate}" crate.

%files       -n %{name}+gzip-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zlib-devel %{_description}

This package contains library source intended for building other packages which
use the "zlib" feature of the "%{crate}" crate.

%files       -n %{name}+zlib-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Feb 08 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.0-2
- Exclude more files from the published crate

* Thu Feb 08 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.0-1
- Update to 0.8.0 (close RHBZ#2259758)
- Patch out the zopfli binary, which conflicts with the one provided by the
  zopfli package

* Mon May 31 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.4.0-1
- Initial package

## END: Generated by rpmautospec
